Search places
curl --request GET \
--url https://scrapebadger.com/v1/twitter/geo/search \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/twitter/geo/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/twitter/geo/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "5a110d312052166f",
"name": "San Francisco",
"full_name": "San Francisco, CA",
"country": "United States",
"country_code": "US",
"place_type": "city",
"url": "<string>",
"bounding_box": {
"type": "Polygon",
"coordinates": [
[
[
123
]
]
]
},
"attributes": {}
}
]
}{
"error": "Invalid or missing API key"
}{
"error": "Insufficient credits"
}{
"error": "Rate limit exceeded. Please retry after a short delay."
}Geo
Search Places
Search for geographic places that can be attached to tweets. At least one of query, lat/long, or ip must be provided. Results can be filtered by granularity (neighborhood, city, admin, country). Useful for geo-tagging and location-based analysis.
GET
/
v1
/
twitter
/
geo
/
search
Search places
Authorizations
Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys.
Query Parameters
Free-form text search for place names.
Example:
"San Francisco"
Latitude coordinate for location-based search.
Example:
37.7749
Longitude coordinate for location-based search.
Example:
-122.4194
Response
Successfully retrieved places.
List of geographic places.
Array of place objects.
Show child attributes
Show child attributes

